Can't checkout web FTLDEV

#1

Expected Behaviour:

Checking out FTLDEV succeeds and updates AdminLTE to a FTLDEV version instead of master

Actual Behaviour:

$ pihole checkout web FTLDNS
[sudo] password for vlad:
Please note that changing branches severely alters your Pi-hole subsystems
Features that work on the master branch, may not on a development branch
This feature is NOT supported unless a Pi-hole developer explicitly asks!
Have you read and understood this? [y/N] y

[✗] Fetching branches from https://github.com/pi-hole/AdminLTE.git

usage: git ls-remote [–heads] [–tags] [–upload-pack=] [-q | --quiet] [–exit-code] [–get-url] [ […]]

Debug Token:

6bw00iu7w5

I’ve tried this several times now, and every time I get the git ls-remote usage error. I’m using git version 2.7.4, although I don’t think the syntax of ls-remote has changed over versions of git. I’m willing to do the update manually, although I’d prefer it going through the automated system. I was able to update core without any issue whatsoever:

*** [ DIAGNOSING ]: Core version
[i] Core: v3.3.1 (How do I update Pi-hole?)
[i] Branch: FTLDNS (The pihole Command With Examples)
[i] Commit: v3.3.1-365-g6f2f598

*** [ DIAGNOSING ]: Web version
[i] Web: v3.3 (How do I update Pi-hole?)
[i] Branch: master
[i] Commit: v3.3-0-ge48aa29

*** [ DIAGNOSING ]: FTL version
[✓] FTL: vDev-3e40158 (How do I update Pi-hole?)

I’m running this on Ubuntu 16.04.5 LTS.

0 Likes

#2

If you are willing, let’s move you to the 4.0 release branch. This contains all of the FTLDNS features and some other new features. The devs have also improved some of the install checks.

echo release/v4.0 | sudo tee /etc/pihole/ftlbranch 
pihole checkout core release/v4.0 
pihole checkout web release/v4.0
1 Like

#3

FWIW, I tried this and got similar results to the original poster:

$ echo release/v4.0 | sudo tee /etc/pihole/ftlbranch
release/v4.0

$ pihole checkout core release/v4.0
Please note that changing branches severely alters your Pi-hole subsystems
Features that work on the master branch, may not on a development branch
This feature is NOT supported unless a Pi-hole developer explicitly asks!
Have you read and understood this? [y/N] y

[✗] Fetching branches from https://github.com/pi-hole/pi-hole.git

usage: git ls-remote [–heads] [–tags] [–upload-pack=] [-q | --quiet] [–exit-code] [–get-url] [ […]]

$ pihole checkout web release/v4.0
Please note that changing branches severely alters your Pi-hole subsystems
Features that work on the master branch, may not on a development branch
This feature is NOT supported unless a Pi-hole developer explicitly asks!
Have you read and understood this? [y/N] y

[✗] Fetching branches from https://github.com/pi-hole/AdminLTE.git

usage: git ls-remote [–heads] [–tags] [–upload-pack=] [-q | --quiet] [–exit-code] [–get-url] [ […]]

My current versions are the same as the original poster.

0 Likes

#4

Similarly to tekneek, trying to switch to 4.0 also gives me the same error messages, for core as well now:

vlad@linux:/var/www/html/admin$ echo release/v4.0 | sudo tee /etc/pihole/ftlbranch
release/v4.0

vlad@linux:/var/www/html/admin$ pihole checkout core release/v4.0
Please note that changing branches severely alters your Pi-hole subsystems
Features that work on the master branch, may not on a development branch
This feature is NOT supported unless a Pi-hole developer explicitly asks!
Have you read and understood this? [y/N] y

[✗] Fetching branches from https://github.com/pi-hole/pi-hole.git

usage: git ls-remote [–heads] [–tags] [–upload-pack=] [-q | --quiet] [–exit-code] [–get-url] [ […]]

vlad@linux:/var/www/html/admin$ pihole checkout web release/v4.0
Please note that changing branches severely alters your Pi-hole subsystems
Features that work on the master branch, may not on a development branch
This feature is NOT supported unless a Pi-hole developer explicitly asks!
Have you read and understood this? [y/N] y

[✗] Fetching branches from https://github.com/pi-hole/AdminLTE.git

usage: git ls-remote [–heads] [–tags] [–upload-pack=] [-q | --quiet] [–exit-code] [–get-url] [ […]]

1 Like

#5

However, when I ran pihole -up, it did update FTL:

$ pihole -up
[i] Checking for updates…
[i] Pi-hole Core: up to date
[i] Web Interface: up to date
[i] FTL: update available

[i] FTL out of date, it will be updated by the installer.

1 Like

#8

From your debug log, which versions and branches and commits did you end up with for Core, Web and FTL?

0 Likes

#9

In my case only FTL updated. From the end of the update log:

Current Pi-hole version is v3.3.1-365-g6f2f598
Current AdminLTE version is v3.3
Current FTL version is vDev-8e56b61

0 Likes

#10

From your debug log, which versions and branches and commits did you end up with for Core, Web and FTL? This shows more detailed information that may help us diagnose this problem.

0 Likes

#11

*** [ DIAGNOSING ]: Core version
[i] Core: v3.3.1 (How do I update Pi-hole?)
[i] Branch: FTLDNS (The pihole Command With Examples)
[i] Commit: v3.3.1-365-g6f2f598

*** [ DIAGNOSING ]: Web version
[i] Web: v3.3 (How do I update Pi-hole?)
[i] Branch: master
[i] Commit: v3.3-0-ge48aa29

*** [ DIAGNOSING ]: FTL version
[✓] FTL: vDev-8e56b61 (How do I update Pi-hole?)

Web and Core are the same as in my OP, FTL updated.

Edit: New token is fa3mgjwn9c

0 Likes

#12

*** [ DIAGNOSING ]: Core version
[i] Core: v3.3.1 (How do I update Pi-hole?)
[i] Branch: FTLDNS (The pihole Command With Examples)
[i] Commit: v3.3.1-365-g6f2f598

*** [ DIAGNOSING ]: Web version
[i] Web: v3.3 (How do I update Pi-hole?)
[i] Branch: FTLDNS (The pihole Command With Examples)
[i] Commit: v3.3-238-g8c7521f

*** [ DIAGNOSING ]: FTL version
[✓] FTL: vDev-8e56b61 (How do I update Pi-hole?)

$ cat localbranches
FTLDNS FTLDNS release/v4.0

0 Likes

#13

same as me New installation fails

0 Likes

#15

Try running the 4.0 update command now. The git related error has been adressed.

0 Likes

#16

Nada, same error and update now says everything is up to date:

vlad@linux:/var/www/html/admin$ echo release/v4.0 | sudo tee /etc/pihole/ftlbranch
release/v4.0

vlad@linux:/var/www/html/admin$ pihole checkout core release/v4.0
Please note that changing branches severely alters your Pi-hole subsystems
Features that work on the master branch, may not on a development branch
This feature is NOT supported unless a Pi-hole developer explicitly asks!
Have you read and understood this? [y/N] y

[✗] Fetching branches from https://github.com/pi-hole/pi-hole.git

usage: git ls-remote [–heads] [–tags] [–upload-pack=] [-q | --quiet] [–exit-code] [–get-url] [ […]]

vlad@linux:/var/www/html/admin$ pihole checkout web release/v4.0
Please note that changing branches severely alters your Pi-hole subsystems
Features that work on the master branch, may not on a development branch
This feature is NOT supported unless a Pi-hole developer explicitly asks!
Have you read and understood this? [y/N] y

[✗] Fetching branches from https://github.com/pi-hole/AdminLTE.git

usage: git ls-remote [–heads] [–tags] [–upload-pack=] [-q | --quiet] [–exit-code] [–get-url] [ […]]

vlad@linux:/var/www/html/admin$ pihole -up
[i] Checking for updates…
[i] Pi-hole Core: up to date
[i] Web Interface: up to date
[i] FTL: up to date

[✓] Everything is up to date!

The versions in debug are also the same as before:

*** [ DIAGNOSING ]: Core version
[i] Core: v3.3.1 (How do I update Pi-hole?)
[i] Branch: FTLDNS (The pihole Command With Examples)
[i] Commit: v3.3.1-365-g6f2f598

*** [ DIAGNOSING ]: Web version
[i] Web: v3.3 (How do I update Pi-hole?)
[i] Branch: master
[i] Commit: v3.3-0-ge48aa29

*** [ DIAGNOSING ]: FTL version
[✓] FTL: vDev-8e56b61 (How do I update Pi-hole?)

0 Likes

#17

Ok thank you for trying it.

We are looking into it.

0 Likes

#18

It looks like we will need to revert back to FTLDNS, update, then migrate over to release/v4.0, if I follow what is happening on git properly.

0 Likes

#20

You’re currently on the FTLDNS branch. Run pihole -up to get the fix applied to the FTLDNS branch and then swap to the release/v4.0 repositories.

1 Like

#21

pihole -up found an update for Core now, will update when all finishes.

Looks like it’s all on release/4.0 now, thanks for the fix! :slight_smile:

*** [ DIAGNOSING ]: Core version
[i] Core: v3.3.1 (How do I update Pi-hole?)
[i] Branch: release/v4.0 (The pihole Command With Examples)
[i] Commit: v3.3.1-366-g1844bf1

*** [ DIAGNOSING ]: Web version
[i] Web: v3.3 (How do I update Pi-hole?)
[i] Branch: release/v4.0 (The pihole Command With Examples)
[i] Commit: v3.3-235-g97967f6

*** [ DIAGNOSING ]: FTL version
[✓] FTL: vDev-8e56b61 (How do I update Pi-hole?)

2 Likes

#22

I made it over to release/v4.0 successfully, but for some reason lost my adlist completely (ended up with a new file w/ no entries - wish I had backed that up!). I’ve reconstructed that. Thankfully the local whitelist and blacklist were intact.

Thanks for the help.

FWIW, this is what I have now:
*** [ DIAGNOSING ]: Core version
[i] Core: v3.3.1 (How do I update Pi-hole?)
[i] Branch: release/v4.0 (The pihole Command With Examples)
[i] Commit: v3.3.1-366-g1844bf1

*** [ DIAGNOSING ]: Web version
[i] Web: v3.3 (How do I update Pi-hole?)
[i] Branch: release/v4.0 (The pihole Command With Examples)
[i] Commit: v3.3-235-g97967f6

*** [ DIAGNOSING ]: FTL version
[✓] FTL: vDev-8e56b61 (How do I update Pi-hole?)

0 Likes

closed #23

This topic was automatically closed 21 days after the last reply. New replies are no longer allowed.

0 Likes